#
# spec file for package openSUSE-release (Version 10.3)
#
# Copyright (c) 2009 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#

# norootforbuild
# usedforbuild    aaa_base acl attr audit-libs autoconf automake bash binutils brp-check-internal bzip2 coreutils cpio cpp cpp42 cracklib cvs diffutils file filesystem fillup findutils gawk gcc gcc42 gdbm gettext gettext-devel glibc glibc-devel glibc-locale grep groff gzip info insserv less libacl libattr libbz2-1 libbz2-devel libdb-4_5 libgcc42 libgomp42 libltdl-3 libmudflap42 libreadline5 libstdc++42 libtool libuuid1 libvolume_id libxcrypt libzio linux-kernel-headers m4 make man mktemp ncurses net-tools netcfg pam pam-modules patch perl perl-base permissions popt post-build-checks rpm sed sysvinit tar texinfo timezone util-linux zlib


Name:           openSUSE-release
License:        GPL v2 or later
Group:          System/Fhs
Version:        10.3
Release:        74.1
Provides:       aaa_version distribution-release
Provides:       suse-release-oss = %{version}-%{release}
Provides:       suse-release = %{version}-%{release}
Provides:       sled-release = %{version}-%{release}
Provides:       core-release = %{version}-%{release}
Provides:       %{name}-%{version}
Obsoletes:      aaa_version
Obsoletes:      suse-release-oss <= 10.0 suse-release <= 10.1.42
Obsoletes:      sles-release <= 10 sled-release <= 10 core-release <= 10
AutoReqProv:    on
Summary:        SuSE release version files
BuildRoot:      %{_tmppath}/%{name}-%{version}-build
%define betaversion "Beta3plus"

%description
This package contains the files: /etc/SuSE-release, /etc/issue, and
/etc/issue.net



Authors:
--------
    ro@suse.de

%install
mkdir -p $RPM_BUILD_ROOT/etc
test -e /.buildenv && . /.buildenv
#echo -e "\nWelcome to $BUILD_DISTRIBUTION_NAME %{betaversion} - Kernel \\\r (\\\l).\n\n" > $RPM_BUILD_ROOT/etc/issue
#echo "Welcome to $BUILD_DISTRIBUTION_NAME %{betaversion} - Kernel %%r (%%t)." > $RPM_BUILD_ROOT/etc/issue.net
#echo $BUILD_DISTRIBUTION_NAME "%{betaversion}" > $RPM_BUILD_ROOT/etc/SuSE-release
echo -e "\nWelcome to $BUILD_DISTRIBUTION_NAME - Kernel \\\r (\\\l).\n\n" > $RPM_BUILD_ROOT/etc/issue
echo "Welcome to $BUILD_DISTRIBUTION_NAME - Kernel %%r (%%t)." > $RPM_BUILD_ROOT/etc/issue.net
echo $BUILD_DISTRIBUTION_NAME > $RPM_BUILD_ROOT/etc/SuSE-release
echo VERSION = $BUILD_DISTRIBUTION_VERSION >> $RPM_BUILD_ROOT/etc/SuSE-release
echo "Have a lot of fun..." > $RPM_BUILD_ROOT/etc/motd

%files
%defattr(644,root,root,755)
/etc/SuSE-release
%config /etc/motd
%config(noreplace) /etc/issue
%config(noreplace) /etc/issue.net

%changelog
* Mon Sep 17 2007 - coolo@suse.de
- it's no longer beta
* Thu Sep 13 2007 - coolo@suse.de
- name it beta3plus
* Fri Sep 07 2007 - coolo@suse.de
- remove the list of packages again as we obsolete all packages again
* Tue Sep 04 2007 - coolo@suse.de
- obsolete more packages (#293401)
* Mon Aug 27 2007 - cthiel@suse.de
- Beta3
* Mon Aug 27 2007 - cthiel@suse.de
- removed Obsolete: xfce4-panel-plugins since it's already handled in xfce4-panel (#304770, #298863)
* Fri Aug 17 2007 - matz@suse.de
- Obsolete the gcc41 packages from the 10.2.
* Thu Aug 16 2007 - cthiel@suse.de
- Beta2
- update list of obsoleted packages (since opensync was reverted to 0.22)
* Wed Aug 15 2007 - coolo@suse.de
- dropping asterix completely (in the old version)
* Wed Aug 15 2007 - coolo@suse.de
- dropping ant-jai too
* Thu Aug 09 2007 - coolo@suse.de
- update list of obsoleted packages
* Mon Aug 06 2007 - coolo@suse.de
- take out the gcc packages for now - the discussion is still going
  on
* Sun Aug 05 2007 - coolo@suse.de
- Update for Beta1
- Adding a bunch of packages to be removed on update (proof of concept)
* Thu Jul 26 2007 - coolo@suse.de
- Alpha7 rather
* Fri Jul 20 2007 - aj@suse.de
- Alpha6plus.
* Sun Jul 15 2007 - aj@suse.de
- Alpha6.
* Mon Jul 02 2007 - aj@suse.de
- Alpha5plus.
* Wed Jun 06 2007 - aj@suse.de
- Alpha5.
* Mon May 28 2007 - aj@suse.de
- Alpha4plus.
* Thu May 03 2007 - aj@suse.de
- Alpha4.
* Thu Apr 12 2007 - aj@suse.de
- Alpha3plus.
* Wed Mar 28 2007 - aj@suse.de
- Alpha3.
* Fri Mar 16 2007 - aj@suse.de
- Alpha2plus.
* Wed Feb 28 2007 - aj@suse.de
- Alpha2.
* Wed Feb 14 2007 - aj@suse.de
- Skipping Alpha1 and moving to Alpha1plus.
* Fri Jan 26 2007 - aj@suse.de
- Alpha0plus is it...
* Tue Jan 09 2007 - aj@suse.de
- 10.3 Alpha1 is next release.
* Mon Nov 20 2006 - aj@suse.de
- Not anymore beta...
- Handle core-release as well (#222617).
* Sun Nov 12 2006 - aj@suse.de
- Beta2plus.
* Tue Nov 07 2006 - aj@suse.de
- Beta2.
* Mon Oct 30 2006 - cthiel@suse.de
- Beta1plus
* Tue Oct 17 2006 - aj@suse.de
- Beta1.
- Provide/obsolete sles-release (#213058) and sled-release.
- Use versioned obsoletes (#197805).
* Sat Oct 07 2006 - aj@suse.de
- Alpha5plus.
* Sat Sep 23 2006 - aj@suse.de
- Alpha5.
* Tue Sep 12 2006 - aj@suse.de
- Alpha4plus.
* Wed Aug 23 2006 - aj@suse.de
- Alpha4.
* Wed Aug 23 2006 - aj@suse.de
- Alpha3plus.
* Thu Aug 10 2006 - ro@suse.de
- added get_version_number.sh to set version
* Mon Aug 07 2006 - aj@suse.de
- Alpha3.
* Mon Jul 17 2006 - aj@suse.de
- Rename package suse-release to openSUSE-release.
* Mon Jul 17 2006 - aj@suse.de
- 10.2 Alpha2plus.
* Thu Jul 06 2006 - aj@suse.de
- 10.2 Alpha2.
* Fri Jun 09 2006 - adrian@suse.de
- 10.2 Alpha 1
* Mon May 22 2006 - aj@suse.de
- Prepare for 10.2.
* Sat Apr 08 2006 - aj@suse.de
- Remove Beta.
* Wed Mar 29 2006 - aj@suse.de
- Beta9.
* Mon Mar 13 2006 - lrupp@suse.de
- New Version: 10.1 (needed for content file)
* Fri Mar 10 2006 - aj@suse.de
- obsolete suse-release-oss
* Thu Mar 09 2006 - aj@suse.de
- Beta8.
* Mon Feb 27 2006 - aj@suse.de
- Beta6.
* Fri Feb 17 2006 - aj@suse.de
- Beta5.
* Fri Feb 03 2006 - aj@suse.de
- Beta4.
* Wed Jan 25 2006 - aj@suse.de
- Beta3.
- Remove aaa_base as build dependency.
* Sun Jan 22 2006 - aj@suse.de
- Beta2.
* Wed Dec 21 2005 - aj@suse.de
- Change license to GPL.
- Beta1.
* Sat Dec 03 2005 - aj@suse.de
- Alpha4.
* Mon Nov 28 2005 - aj@suse.de
- Alpha3plus.
* Wed Nov 09 2005 - aj@suse.de
- Alpha3.
* Tue Oct 25 2005 - aj@suse.de
- Alpha2plus.
* Thu Oct 06 2005 - aj@suse.de
- Alpha2.
* Mon Sep 26 2005 - aj@suse.de
- Alpha1.
* Tue Sep 20 2005 - ro@suse.de
- up to 10.0.42
* Mon Sep 05 2005 - aj@suse.de
- RC time.
* Wed Aug 24 2005 - aj@suse.de
- 10.0 Beta4.
* Thu Aug 18 2005 - aj@suse.de
- 10.0 beta3.
* Mon Aug 08 2005 - aj@suse.de
- 10.0 beta2.
* Thu Aug 04 2005 - aj@suse.de
- 10.0 beta1.
* Wed Jul 27 2005 - aj@suse.de
- 10.0 preview4.
* Wed Jul 20 2005 - aj@suse.de
- 10.0 preview3.
* Wed Jul 13 2005 - aj@suse.de
- 10.0 preview2.
* Fri Mar 18 2005 - aj@suse.de
- RC time.
* Wed Mar 16 2005 - aj@suse.de
- 9.3 beta5.
* Mon Mar 14 2005 - aj@suse.de
- 9.3 beta4.
* Thu Mar 03 2005 - aj@suse.de
- 9.3 beta3.
* Fri Feb 25 2005 - aj@suse.de
- 9.3 beta2.
* Fri Feb 18 2005 - aj@suse.de
- beta1.
* Tue Feb 15 2005 - ro@suse.de
- preview4
* Mon Feb 07 2005 - aj@suse.de
- preview3
* Wed Jan 26 2005 - aj@suse.de
- preview2.
* Sat Oct 02 2004 - aj@suse.de
- Time for RC.
* Thu Sep 30 2004 - ro@suse.de
- beta5
* Wed Sep 22 2004 - aj@suse.de
- Beta4.
* Wed Sep 15 2004 - aj@suse.de
- Beta3.
* Fri Sep 10 2004 - kukuk@suse.de
- Build not as root
- Beta2
- Provide %%name-%%version for YaST2 packagemanager
* Thu Sep 02 2004 - aj@suse.de
- Beta1.
* Wed Aug 25 2004 - aj@suse.de
- Preview4
* Wed Aug 18 2004 - aj@suse.de
- Preview3.
* Wed Aug 11 2004 - aj@suse.de
- Preview2 is coming.
* Fri Feb 28 2003 - ro@suse.de
-  fix version generation
* Thu Feb 27 2003 - ro@suse.de
- rename to suse-release
* Sat Jul 27 2002 - kukuk@suse.de
- Add /etc/motd [Bug #17264]
* Sun Feb 17 2002 - ro@suse.de
- removed leading space in /etc/issue
* Thu Oct 04 2001 - ro@suse.de
- marked issue* as noreplace (#11493)
* Thu Sep 27 2001 - ro@suse.de
- created package containing /etc/SuSE-release, /etc/issue
  and /etc/issue.net
- provides suse-release
